Subject: bug#55010: Compiling from git clone

From: Ken Ingram <[email-masked]>
Date: Tue, 19 Apr 2022 22:54:51 -0700

Debian 4.19.160-2 (2020-11-28) x86_64 GNU/Linux
gcc (Debian 8.3.0-6) 8.3.0

So I guess I'm on an "old" compiler compared to 11.2.1

On Tue, Apr 19, 2022 at 4:42 PM Paul Eggert <[email-masked]> wrote:

> On 4/18/22 14:47, Ken Ingram wrote:
> > Making all in .
> > make[2]: Entering directory '/home/kingram/src/coreutils'
> >    CC       lib/libcoreutils_a-randperm.o
> > lib/randperm.c: In function 'sparse_new':
> > lib/randperm.c:111:1: error: function might be candidate for attribute
> > 'malloc' if it is known to return normally
> > [-Werror=suggest-attribute=malloc]
> >   sparse_new (size_t size_hint)
> >   ^~~~~~~~~~
>
> I'm not seeing that on Fedora 35 x86-64, with GCC 11.2.1 20220127 (Red
> Hat 11.2.1-9). If you're using an older compiler, I suggest configuring
> with --disable-gcc-warnings, or building with "make WERROR_CFLAGS=", so
> that the unnecessary warnings don't break the build. If you're not,
> please specify the platform and GCC you're using, and how you ran
> 'configure' and 'make'. Thanks.
>